petsc-3.12.1 2019-10-22
Report Typos and Errors

# DMPlexInterpolatePointSF

Insert interpolated points in the overlap into the PointSF in parallel, following local interpolation

### Synopsis

    #include "petscdmplex.h"
    PetscErrorCode DMPlexInterpolatePointSF(DM dm, PetscSF pointSF)

Collective on dm

### Input Parameters

| dm | - The interpolated DM
| pointSF | - The initial SF without interpolated points

### Output Parameter

pointSF -The SF including interpolated points

Note: All debugging for this process can be turned on with the options: -dm_interp_pre_view -petscsf_interp_pre_view -petscsection_interp_candidate_view -petscsection_interp_candidate_remote_view -petscsection_interp_claim_view -petscsf_interp_pre_view -dmplex_interp_debug

### See Also

DMPlexInterpolate(), DMPlexUninterpolate()

### Level

intermediate

### Location

src/dm/impls/plex/plexinterpolate.c
Index of all DMPLEX routines
Table of Contents for all manual pages
Index of all manual pages